Request
curl --location 'https://openapi.gs-robot.com/openapi/v3/schedules/plans/simple/delete' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{token}}' \
--data '{
"dayOfMonth": 29,
"month": 8,
"operationType": 2,
"planUuid": "00000000-0000-4000-8000-000000000001",
"robotSn": "TEST00-0000-000-B088",
"year": 2026
}'
Version requirement: This API is supported only on AIO software version 1.6 and later.
Notes
year,month, anddayOfMonthidentify the target date and must form a valid date.operationType=1deletes only the specified date, whileoperationType=2deletes the specified date and all future schedules.- Obtain
planUuidfromdata.preTasks[].planUuidreturned by/openapi/v3/schedules/plans/pre-tasks/day/list.
Response
{
"code": 0,
"data": {},
"msg": "success"
}